%define soname	0

Name:           libzen
Version:        0.4.24
Release:        4.1
Summary:        Shared library for mediainfo
Group:          System/Libraries
License:        BSD
URL:            http://zenlib.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/zenlib/libzen_%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  autoconf automake libtool

%description
Shared library for libmediainfo and medianfo-gui.

%package -n %{name}%{soname}
Summary:        Shared library for mediainfo
Group:          System/Libraries

%description -n %{name}%{soname}
Shared library for libmediainfo and medianfo-gui.

%package -n libzen-devel
Summary:        Include files and libraries for development
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}

%description -n libzen-devel
Include files and mandatory libraries for development.

%prep
%setup -q -n ZenLib
%__sed -i 's/\r$//' *.txt Source/Doc/*.html
%__chmod 644 *.txt Source/Doc/*.html

%build
# generate docs
pushd Source/Doc
    doxygen -u 2> /dev/null
    doxygen Doxyfile
popd

export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

pushd Project/GNU/Library
    %__chmod +x autogen
    NOCONFIGURE=1 ./autogen
    %configure \
    	--enable-shared

    %__make clean
    %__make %{?_smp_flags}
popd

%install
pushd Project/GNU/Library
    %makeinstall
popd

# Zenlib headers and ZenLib-config
%__install -dm 755 %{buildroot}%{_includedir}/ZenLib
%__install -m 644 Source/ZenLib/*.h \
    %{buildroot}%{_includedir}/ZenLib
for i in HTTP_Client Format/Html Format/Http ; do
    %__install -dm 755 %{buildroot}%{_includedir}/ZenLib/$i
    %__install -m 644 Source/ZenLib/$i/*.h \
    	%{buildroot}%{_includedir}/ZenLib/$i
done

%__sed -i -e 's|Version: |Version: %{version}|g' \
    Project/GNU/Library/libzen.pc
%__install -dm 755 %{buildroot}%{_libdir}/pkgconfig
%__install -m 644 Project/GNU/Library/libzen.pc \
    %{buildroot}%{_libdir}/pkgconfig

%__rm %{buildroot}%{_libdir}/libzen.a
%__rm %{buildroot}%{_libdir}/libzen.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root,-)
%doc *.txt
%{_libdir}/libzen.so.%{soname}
%{_libdir}/libzen.so.%{soname}.*

%files -n libzen-devel
%defattr(-,root,root,-)
%doc Source/Doc/Documentation.html
%doc Doc/*
%dir %{_includedir}/ZenLib
%{_includedir}/ZenLib/*
%{_libdir}/libzen.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Feb 18 2012 cs@linux-administrator.com
- re-import
